IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/60
Addresses2^68
/64 networks16
- Network
2c19:dd:c25b:bfc0::/60- First address
2c19:dd:c25b:bfc0::- Last address
2c19:dd:c25b:bfcf:ffff:ffff:ffff:ffff- Addresses
- 295,147,905,179,352,825,856 (2^68)
- /64 networks (LANs)
- 16
- Full form
2c19:00dd:c25b:bfc0:0000:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zone
c.f.b.b.5.2.c.d.d.0.0.9.1.c.2.ip6.arpa
Split into smaller subnets
2c19:dd:c25b:bfc0::/60 makes 256 subnets of /68.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2c19:dd:c25b:bfc0::/68 | 2c19:dd:c25b:bfc0:fff:ffff:ffff:ffff |
| 2 | 2c19:dd:c25b:bfc0:1000::/68 | 2c19:dd:c25b:bfc0:1fff:ffff:ffff:ffff |
| 3 | 2c19:dd:c25b:bfc0:2000::/68 | 2c19:dd:c25b:bfc0:2fff:ffff:ffff:ffff |
| 4 | 2c19:dd:c25b:bfc0:3000::/68 | 2c19:dd:c25b:bfc0:3fff:ffff:ffff:ffff |
| 5 | 2c19:dd:c25b:bfc0:4000::/68 | 2c19:dd:c25b:bfc0:4fff:ffff:ffff:ffff |
| 6 | 2c19:dd:c25b:bfc0:5000::/68 | 2c19:dd:c25b:bfc0:5fff:ffff:ffff:ffff |
| 7 | 2c19:dd:c25b:bfc0:6000::/68 | 2c19:dd:c25b:bfc0:6fff:ffff:ffff:ffff |
| 8 | 2c19:dd:c25b:bfc0:7000::/68 | 2c19:dd:c25b:bfc0:7fff:ffff:ffff:ffff |
| 9 | 2c19:dd:c25b:bfc0:8000::/68 | 2c19:dd:c25b:bfc0:8fff:ffff:ffff:ffff |
| 10 | 2c19:dd:c25b:bfc0:9000::/68 | 2c19:dd:c25b:bfc0:9fff:ffff:ffff:ffff |
| 11 | 2c19:dd:c25b:bfc0:a000::/68 | 2c19:dd:c25b:bfc0:afff:ffff:ffff:ffff |
| 12 | 2c19:dd:c25b:bfc0:b000::/68 | 2c19:dd:c25b:bfc0:bfff:ffff:ffff:ffff |
| 13 | 2c19:dd:c25b:bfc0:c000::/68 | 2c19:dd:c25b:bfc0:cfff:ffff:ffff:ffff |
| 14 | 2c19:dd:c25b:bfc0:d000::/68 | 2c19:dd:c25b:bfc0:dfff:ffff:ffff:ffff |
| 15 | 2c19:dd:c25b:bfc0:e000::/68 | 2c19:dd:c25b:bfc0:efff:ffff:ffff:ffff |
| 16 | 2c19:dd:c25b:bfc0:f000::/68 | 2c19:dd:c25b:bfc0:ffff:ffff:ffff:ffff |
| 17 | 2c19:dd:c25b:bfc1::/68 | 2c19:dd:c25b:bfc1:fff:ffff:ffff:ffff |
| 18 | 2c19:dd:c25b:bfc1:1000::/68 | 2c19:dd:c25b:bfc1:1fff:ffff:ffff:ffff |
| 19 | 2c19:dd:c25b:bfc1:2000::/68 | 2c19:dd:c25b:bfc1:2fff:ffff:ffff:ffff |
| 20 | 2c19:dd:c25b:bfc1:3000::/68 | 2c19:dd:c25b:bfc1:3fff:ffff:ffff:ffff |
| 21 | 2c19:dd:c25b:bfc1:4000::/68 | 2c19:dd:c25b:bfc1:4fff:ffff:ffff:ffff |
| 22 | 2c19:dd:c25b:bfc1:5000::/68 | 2c19:dd:c25b:bfc1:5fff:ffff:ffff:ffff |
| 23 | 2c19:dd:c25b:bfc1:6000::/68 | 2c19:dd:c25b:bfc1:6fff:ffff:ffff:ffff |
| 24 | 2c19:dd:c25b:bfc1:7000::/68 | 2c19:dd:c25b:bfc1:7fff:ffff:ffff:ffff |
| 25 | 2c19:dd:c25b:bfc1:8000::/68 | 2c19:dd:c25b:bfc1:8fff:ffff:ffff:ffff |
| 26 | 2c19:dd:c25b:bfc1:9000::/68 | 2c19:dd:c25b:bfc1:9fff:ffff:ffff:ffff |
| 27 | 2c19:dd:c25b:bfc1:a000::/68 | 2c19:dd:c25b:bfc1:afff:ffff:ffff:ffff |
| 28 | 2c19:dd:c25b:bfc1:b000::/68 | 2c19:dd:c25b:bfc1:bfff:ffff:ffff:ffff |
| 29 | 2c19:dd:c25b:bfc1:c000::/68 | 2c19:dd:c25b:bfc1:cfff:ffff:ffff:ffff |
| 30 | 2c19:dd:c25b:bfc1:d000::/68 | 2c19:dd:c25b:bfc1:dfff:ffff:ffff:ffff |
| 31 | 2c19:dd:c25b:bfc1:e000::/68 | 2c19:dd:c25b:bfc1:efff:ffff:ffff:ffff |
| 32 | 2c19:dd:c25b:bfc1:f000::/68 | 2c19:dd:c25b:bfc1:ffff:ffff:ffff:ffff |
| 33 | 2c19:dd:c25b:bfc2::/68 | 2c19:dd:c25b:bfc2:fff:ffff:ffff:ffff |
| 34 | 2c19:dd:c25b:bfc2:1000::/68 | 2c19:dd:c25b:bfc2:1fff:ffff:ffff:ffff |
| 35 | 2c19:dd:c25b:bfc2:2000::/68 | 2c19:dd:c25b:bfc2:2fff:ffff:ffff:ffff |
| 36 | 2c19:dd:c25b:bfc2:3000::/68 | 2c19:dd:c25b:bfc2:3fff:ffff:ffff:ffff |
| 37 | 2c19:dd:c25b:bfc2:4000::/68 | 2c19:dd:c25b:bfc2:4fff:ffff:ffff:ffff |
| 38 | 2c19:dd:c25b:bfc2:5000::/68 | 2c19:dd:c25b:bfc2:5fff:ffff:ffff:ffff |
| 39 | 2c19:dd:c25b:bfc2:6000::/68 | 2c19:dd:c25b:bfc2:6fff:ffff:ffff:ffff |
| 40 | 2c19:dd:c25b:bfc2:7000::/68 | 2c19:dd:c25b:bfc2:7fff:ffff:ffff:ffff |
| 41 | 2c19:dd:c25b:bfc2:8000::/68 | 2c19:dd:c25b:bfc2:8fff:ffff:ffff:ffff |
| 42 | 2c19:dd:c25b:bfc2:9000::/68 | 2c19:dd:c25b:bfc2:9fff:ffff:ffff:ffff |
| 43 | 2c19:dd:c25b:bfc2:a000::/68 | 2c19:dd:c25b:bfc2:afff:ffff:ffff:ffff |
| 44 | 2c19:dd:c25b:bfc2:b000::/68 | 2c19:dd:c25b:bfc2:bfff:ffff:ffff:ffff |
| 45 | 2c19:dd:c25b:bfc2:c000::/68 | 2c19:dd:c25b:bfc2:cfff:ffff:ffff:ffff |
| 46 | 2c19:dd:c25b:bfc2:d000::/68 | 2c19:dd:c25b:bfc2:dfff:ffff:ffff:ffff |
| 47 | 2c19:dd:c25b:bfc2:e000::/68 | 2c19:dd:c25b:bfc2:efff:ffff:ffff:ffff |
| 48 | 2c19:dd:c25b:bfc2:f000::/68 | 2c19:dd:c25b:bfc2:ffff:ffff:ffff:ffff |
| 49 | 2c19:dd:c25b:bfc3::/68 | 2c19:dd:c25b:bfc3:fff:ffff:ffff:ffff |
| 50 | 2c19:dd:c25b:bfc3:1000::/68 | 2c19:dd:c25b:bfc3:1fff:ffff:ffff:ffff |
| 51 | 2c19:dd:c25b:bfc3:2000::/68 | 2c19:dd:c25b:bfc3:2fff:ffff:ffff:ffff |
| 52 | 2c19:dd:c25b:bfc3:3000::/68 | 2c19:dd:c25b:bfc3:3fff:ffff:ffff:ffff |
| 53 | 2c19:dd:c25b:bfc3:4000::/68 | 2c19:dd:c25b:bfc3:4fff:ffff:ffff:ffff |
| 54 | 2c19:dd:c25b:bfc3:5000::/68 | 2c19:dd:c25b:bfc3:5fff:ffff:ffff:ffff |
| 55 | 2c19:dd:c25b:bfc3:6000::/68 | 2c19:dd:c25b:bfc3:6fff:ffff:ffff:ffff |
| 56 | 2c19:dd:c25b:bfc3:7000::/68 | 2c19:dd:c25b:bfc3:7fff:ffff:ffff:ffff |
| 57 | 2c19:dd:c25b:bfc3:8000::/68 | 2c19:dd:c25b:bfc3:8fff:ffff:ffff:ffff |
| 58 | 2c19:dd:c25b:bfc3:9000::/68 | 2c19:dd:c25b:bfc3:9fff:ffff:ffff:ffff |
| 59 | 2c19:dd:c25b:bfc3:a000::/68 | 2c19:dd:c25b:bfc3:afff:ffff:ffff:ffff |
| 60 | 2c19:dd:c25b:bfc3:b000::/68 | 2c19:dd:c25b:bfc3:bfff:ffff:ffff:ffff |
| 61 | 2c19:dd:c25b:bfc3:c000::/68 | 2c19:dd:c25b:bfc3:cfff:ffff:ffff:ffff |
| 62 | 2c19:dd:c25b:bfc3:d000::/68 | 2c19:dd:c25b:bfc3:dfff:ffff:ffff:ffff |
| 63 | 2c19:dd:c25b:bfc3:e000::/68 | 2c19:dd:c25b:bfc3:efff:ffff:ffff:ffff |
| 64 | 2c19:dd:c25b:bfc3:f000::/68 | 2c19:dd:c25b:bfc3:ffff:ffff:ffff:ffff |
| 65 | 2c19:dd:c25b:bfc4::/68 | 2c19:dd:c25b:bfc4:fff:ffff:ffff:ffff |
| 66 | 2c19:dd:c25b:bfc4:1000::/68 | 2c19:dd:c25b:bfc4:1fff:ffff:ffff:ffff |
| 67 | 2c19:dd:c25b:bfc4:2000::/68 | 2c19:dd:c25b:bfc4:2fff:ffff:ffff:ffff |
| 68 | 2c19:dd:c25b:bfc4:3000::/68 | 2c19:dd:c25b:bfc4:3fff:ffff:ffff:ffff |
| 69 | 2c19:dd:c25b:bfc4:4000::/68 | 2c19:dd:c25b:bfc4:4fff:ffff:ffff:ffff |
| 70 | 2c19:dd:c25b:bfc4:5000::/68 | 2c19:dd:c25b:bfc4:5fff:ffff:ffff:ffff |
| 71 | 2c19:dd:c25b:bfc4:6000::/68 | 2c19:dd:c25b:bfc4:6fff:ffff:ffff:ffff |
| 72 | 2c19:dd:c25b:bfc4:7000::/68 | 2c19:dd:c25b:bfc4:7fff:ffff:ffff:ffff |
| 73 | 2c19:dd:c25b:bfc4:8000::/68 | 2c19:dd:c25b:bfc4:8fff:ffff:ffff:ffff |
| 74 | 2c19:dd:c25b:bfc4:9000::/68 | 2c19:dd:c25b:bfc4:9fff:ffff:ffff:ffff |
| 75 | 2c19:dd:c25b:bfc4:a000::/68 | 2c19:dd:c25b:bfc4:afff:ffff:ffff:ffff |
| 76 | 2c19:dd:c25b:bfc4:b000::/68 | 2c19:dd:c25b:bfc4:bfff:ffff:ffff:ffff |
| 77 | 2c19:dd:c25b:bfc4:c000::/68 | 2c19:dd:c25b:bfc4:cfff:ffff:ffff:ffff |
| 78 | 2c19:dd:c25b:bfc4:d000::/68 | 2c19:dd:c25b:bfc4:dfff:ffff:ffff:ffff |
| 79 | 2c19:dd:c25b:bfc4:e000::/68 | 2c19:dd:c25b:bfc4:efff:ffff:ffff:ffff |
| 80 | 2c19:dd:c25b:bfc4:f000::/68 | 2c19:dd:c25b:bfc4:ffff:ffff:ffff:ffff |
| 81 | 2c19:dd:c25b:bfc5::/68 | 2c19:dd:c25b:bfc5:fff:ffff:ffff:ffff |
| 82 | 2c19:dd:c25b:bfc5:1000::/68 | 2c19:dd:c25b:bfc5:1fff:ffff:ffff:ffff |
| 83 | 2c19:dd:c25b:bfc5:2000::/68 | 2c19:dd:c25b:bfc5:2fff:ffff:ffff:ffff |
| 84 | 2c19:dd:c25b:bfc5:3000::/68 | 2c19:dd:c25b:bfc5:3fff:ffff:ffff:ffff |
| 85 | 2c19:dd:c25b:bfc5:4000::/68 | 2c19:dd:c25b:bfc5:4fff:ffff:ffff:ffff |
| 86 | 2c19:dd:c25b:bfc5:5000::/68 | 2c19:dd:c25b:bfc5:5fff:ffff:ffff:ffff |
| 87 | 2c19:dd:c25b:bfc5:6000::/68 | 2c19:dd:c25b:bfc5:6fff:ffff:ffff:ffff |
| 88 | 2c19:dd:c25b:bfc5:7000::/68 | 2c19:dd:c25b:bfc5:7fff:ffff:ffff:ffff |
| 89 | 2c19:dd:c25b:bfc5:8000::/68 | 2c19:dd:c25b:bfc5:8fff:ffff:ffff:ffff |
| 90 | 2c19:dd:c25b:bfc5:9000::/68 | 2c19:dd:c25b:bfc5:9fff:ffff:ffff:ffff |
| 91 | 2c19:dd:c25b:bfc5:a000::/68 | 2c19:dd:c25b:bfc5:afff:ffff:ffff:ffff |
| 92 | 2c19:dd:c25b:bfc5:b000::/68 | 2c19:dd:c25b:bfc5:bfff:ffff:ffff:ffff |
| 93 | 2c19:dd:c25b:bfc5:c000::/68 | 2c19:dd:c25b:bfc5:cfff:ffff:ffff:ffff |
| 94 | 2c19:dd:c25b:bfc5:d000::/68 | 2c19:dd:c25b:bfc5:dfff:ffff:ffff:ffff |
| 95 | 2c19:dd:c25b:bfc5:e000::/68 | 2c19:dd:c25b:bfc5:efff:ffff:ffff:ffff |
| 96 | 2c19:dd:c25b:bfc5:f000::/68 | 2c19:dd:c25b:bfc5:ffff:ffff:ffff:ffff |
| 97 | 2c19:dd:c25b:bfc6::/68 | 2c19:dd:c25b:bfc6:fff:ffff:ffff:ffff |
| 98 | 2c19:dd:c25b:bfc6:1000::/68 | 2c19:dd:c25b:bfc6:1fff:ffff:ffff:ffff |
| 99 | 2c19:dd:c25b:bfc6:2000::/68 | 2c19:dd:c25b:bfc6:2fff:ffff:ffff:ffff |
| 100 | 2c19:dd:c25b:bfc6:3000::/68 | 2c19:dd:c25b:bfc6:3fff:ffff:ffff:ffff |
| 101 | 2c19:dd:c25b:bfc6:4000::/68 | 2c19:dd:c25b:bfc6:4fff:ffff:ffff:ffff |
| 102 | 2c19:dd:c25b:bfc6:5000::/68 | 2c19:dd:c25b:bfc6:5fff:ffff:ffff:ffff |
| 103 | 2c19:dd:c25b:bfc6:6000::/68 | 2c19:dd:c25b:bfc6:6fff:ffff:ffff:ffff |
| 104 | 2c19:dd:c25b:bfc6:7000::/68 | 2c19:dd:c25b:bfc6:7fff:ffff:ffff:ffff |
| 105 | 2c19:dd:c25b:bfc6:8000::/68 | 2c19:dd:c25b:bfc6:8fff:ffff:ffff:ffff |
| 106 | 2c19:dd:c25b:bfc6:9000::/68 | 2c19:dd:c25b:bfc6:9fff:ffff:ffff:ffff |
| 107 | 2c19:dd:c25b:bfc6:a000::/68 | 2c19:dd:c25b:bfc6:afff:ffff:ffff:ffff |
| 108 | 2c19:dd:c25b:bfc6:b000::/68 | 2c19:dd:c25b:bfc6:bfff:ffff:ffff:ffff |
| 109 | 2c19:dd:c25b:bfc6:c000::/68 | 2c19:dd:c25b:bfc6:cfff:ffff:ffff:ffff |
| 110 | 2c19:dd:c25b:bfc6:d000::/68 | 2c19:dd:c25b:bfc6:dfff:ffff:ffff:ffff |
| 111 | 2c19:dd:c25b:bfc6:e000::/68 | 2c19:dd:c25b:bfc6:efff:ffff:ffff:ffff |
| 112 | 2c19:dd:c25b:bfc6:f000::/68 | 2c19:dd:c25b:bfc6:ffff:ffff:ffff:ffff |
| 113 | 2c19:dd:c25b:bfc7::/68 | 2c19:dd:c25b:bfc7:fff:ffff:ffff:ffff |
| 114 | 2c19:dd:c25b:bfc7:1000::/68 | 2c19:dd:c25b:bfc7:1fff:ffff:ffff:ffff |
| 115 | 2c19:dd:c25b:bfc7:2000::/68 | 2c19:dd:c25b:bfc7:2fff:ffff:ffff:ffff |
| 116 | 2c19:dd:c25b:bfc7:3000::/68 | 2c19:dd:c25b:bfc7:3fff:ffff:ffff:ffff |
| 117 | 2c19:dd:c25b:bfc7:4000::/68 | 2c19:dd:c25b:bfc7:4fff:ffff:ffff:ffff |
| 118 | 2c19:dd:c25b:bfc7:5000::/68 | 2c19:dd:c25b:bfc7:5fff:ffff:ffff:ffff |
| 119 | 2c19:dd:c25b:bfc7:6000::/68 | 2c19:dd:c25b:bfc7:6fff:ffff:ffff:ffff |
| 120 | 2c19:dd:c25b:bfc7:7000::/68 | 2c19:dd:c25b:bfc7:7fff:ffff:ffff:ffff |
| 121 | 2c19:dd:c25b:bfc7:8000::/68 | 2c19:dd:c25b:bfc7:8fff:ffff:ffff:ffff |
| 122 | 2c19:dd:c25b:bfc7:9000::/68 | 2c19:dd:c25b:bfc7:9fff:ffff:ffff:ffff |
| 123 | 2c19:dd:c25b:bfc7:a000::/68 | 2c19:dd:c25b:bfc7:afff:ffff:ffff:ffff |
| 124 | 2c19:dd:c25b:bfc7:b000::/68 | 2c19:dd:c25b:bfc7:bfff:ffff:ffff:ffff |
| 125 | 2c19:dd:c25b:bfc7:c000::/68 | 2c19:dd:c25b:bfc7:cfff:ffff:ffff:ffff |
| 126 | 2c19:dd:c25b:bfc7:d000::/68 | 2c19:dd:c25b:bfc7:dfff:ffff:ffff:ffff |
| 127 | 2c19:dd:c25b:bfc7:e000::/68 | 2c19:dd:c25b:bfc7:efff:ffff:ffff:ffff |
| 128 | 2c19:dd:c25b:bfc7:f000::/68 | 2c19:dd:c25b:bfc7:ffff:ffff:ffff:ffff |
| 129 | 2c19:dd:c25b:bfc8::/68 | 2c19:dd:c25b:bfc8:fff:ffff:ffff:ffff |
| 130 | 2c19:dd:c25b:bfc8:1000::/68 | 2c19:dd:c25b:bfc8:1fff:ffff:ffff:ffff |
| 131 | 2c19:dd:c25b:bfc8:2000::/68 | 2c19:dd:c25b:bfc8:2fff:ffff:ffff:ffff |
| 132 | 2c19:dd:c25b:bfc8:3000::/68 | 2c19:dd:c25b:bfc8:3fff:ffff:ffff:ffff |
| 133 | 2c19:dd:c25b:bfc8:4000::/68 | 2c19:dd:c25b:bfc8:4fff:ffff:ffff:ffff |
| 134 | 2c19:dd:c25b:bfc8:5000::/68 | 2c19:dd:c25b:bfc8:5fff:ffff:ffff:ffff |
| 135 | 2c19:dd:c25b:bfc8:6000::/68 | 2c19:dd:c25b:bfc8:6fff:ffff:ffff:ffff |
| 136 | 2c19:dd:c25b:bfc8:7000::/68 | 2c19:dd:c25b:bfc8:7fff:ffff:ffff:ffff |
| 137 | 2c19:dd:c25b:bfc8:8000::/68 | 2c19:dd:c25b:bfc8:8fff:ffff:ffff:ffff |
| 138 | 2c19:dd:c25b:bfc8:9000::/68 | 2c19:dd:c25b:bfc8:9fff:ffff:ffff:ffff |
| 139 | 2c19:dd:c25b:bfc8:a000::/68 | 2c19:dd:c25b:bfc8:afff:ffff:ffff:ffff |
| 140 | 2c19:dd:c25b:bfc8:b000::/68 | 2c19:dd:c25b:bfc8:bfff:ffff:ffff:ffff |
| 141 | 2c19:dd:c25b:bfc8:c000::/68 | 2c19:dd:c25b:bfc8:cfff:ffff:ffff:ffff |
| 142 | 2c19:dd:c25b:bfc8:d000::/68 | 2c19:dd:c25b:bfc8:dfff:ffff:ffff:ffff |
| 143 | 2c19:dd:c25b:bfc8:e000::/68 | 2c19:dd:c25b:bfc8:efff:ffff:ffff:ffff |
| 144 | 2c19:dd:c25b:bfc8:f000::/68 | 2c19:dd:c25b:bfc8:ffff:ffff:ffff:ffff |
| 145 | 2c19:dd:c25b:bfc9::/68 | 2c19:dd:c25b:bfc9:fff:ffff:ffff:ffff |
| 146 | 2c19:dd:c25b:bfc9:1000::/68 | 2c19:dd:c25b:bfc9:1fff:ffff:ffff:ffff |
| 147 | 2c19:dd:c25b:bfc9:2000::/68 | 2c19:dd:c25b:bfc9:2fff:ffff:ffff:ffff |
| 148 | 2c19:dd:c25b:bfc9:3000::/68 | 2c19:dd:c25b:bfc9:3fff:ffff:ffff:ffff |
| 149 | 2c19:dd:c25b:bfc9:4000::/68 | 2c19:dd:c25b:bfc9:4fff:ffff:ffff:ffff |
| 150 | 2c19:dd:c25b:bfc9:5000::/68 | 2c19:dd:c25b:bfc9:5fff:ffff:ffff:ffff |
| 151 | 2c19:dd:c25b:bfc9:6000::/68 | 2c19:dd:c25b:bfc9:6fff:ffff:ffff:ffff |
| 152 | 2c19:dd:c25b:bfc9:7000::/68 | 2c19:dd:c25b:bfc9:7fff:ffff:ffff:ffff |
| 153 | 2c19:dd:c25b:bfc9:8000::/68 | 2c19:dd:c25b:bfc9:8fff:ffff:ffff:ffff |
| 154 | 2c19:dd:c25b:bfc9:9000::/68 | 2c19:dd:c25b:bfc9:9fff:ffff:ffff:ffff |
| 155 | 2c19:dd:c25b:bfc9:a000::/68 | 2c19:dd:c25b:bfc9:afff:ffff:ffff:ffff |
| 156 | 2c19:dd:c25b:bfc9:b000::/68 | 2c19:dd:c25b:bfc9:bfff:ffff:ffff:ffff |
| 157 | 2c19:dd:c25b:bfc9:c000::/68 | 2c19:dd:c25b:bfc9:cfff:ffff:ffff:ffff |
| 158 | 2c19:dd:c25b:bfc9:d000::/68 | 2c19:dd:c25b:bfc9:dfff:ffff:ffff:ffff |
| 159 | 2c19:dd:c25b:bfc9:e000::/68 | 2c19:dd:c25b:bfc9:efff:ffff:ffff:ffff |
| 160 | 2c19:dd:c25b:bfc9:f000::/68 | 2c19:dd:c25b:bfc9:ffff:ffff:ffff:ffff |
| 161 | 2c19:dd:c25b:bfca::/68 | 2c19:dd:c25b:bfca:fff:ffff:ffff:ffff |
| 162 | 2c19:dd:c25b:bfca:1000::/68 | 2c19:dd:c25b:bfca:1fff:ffff:ffff:ffff |
| 163 | 2c19:dd:c25b:bfca:2000::/68 | 2c19:dd:c25b:bfca:2fff:ffff:ffff:ffff |
| 164 | 2c19:dd:c25b:bfca:3000::/68 | 2c19:dd:c25b:bfca:3fff:ffff:ffff:ffff |
| 165 | 2c19:dd:c25b:bfca:4000::/68 | 2c19:dd:c25b:bfca:4fff:ffff:ffff:ffff |
| 166 | 2c19:dd:c25b:bfca:5000::/68 | 2c19:dd:c25b:bfca:5fff:ffff:ffff:ffff |
| 167 | 2c19:dd:c25b:bfca:6000::/68 | 2c19:dd:c25b:bfca:6fff:ffff:ffff:ffff |
| 168 | 2c19:dd:c25b:bfca:7000::/68 | 2c19:dd:c25b:bfca:7fff:ffff:ffff:ffff |
| 169 | 2c19:dd:c25b:bfca:8000::/68 | 2c19:dd:c25b:bfca:8fff:ffff:ffff:ffff |
| 170 | 2c19:dd:c25b:bfca:9000::/68 | 2c19:dd:c25b:bfca:9fff:ffff:ffff:ffff |
| 171 | 2c19:dd:c25b:bfca:a000::/68 | 2c19:dd:c25b:bfca:afff:ffff:ffff:ffff |
| 172 | 2c19:dd:c25b:bfca:b000::/68 | 2c19:dd:c25b:bfca:bfff:ffff:ffff:ffff |
| 173 | 2c19:dd:c25b:bfca:c000::/68 | 2c19:dd:c25b:bfca:cfff:ffff:ffff:ffff |
| 174 | 2c19:dd:c25b:bfca:d000::/68 | 2c19:dd:c25b:bfca:dfff:ffff:ffff:ffff |
| 175 | 2c19:dd:c25b:bfca:e000::/68 | 2c19:dd:c25b:bfca:efff:ffff:ffff:ffff |
| 176 | 2c19:dd:c25b:bfca:f000::/68 | 2c19:dd:c25b:bfca:ffff:ffff:ffff:ffff |
| 177 | 2c19:dd:c25b:bfcb::/68 | 2c19:dd:c25b:bfcb:fff:ffff:ffff:ffff |
| 178 | 2c19:dd:c25b:bfcb:1000::/68 | 2c19:dd:c25b:bfcb:1fff:ffff:ffff:ffff |
| 179 | 2c19:dd:c25b:bfcb:2000::/68 | 2c19:dd:c25b:bfcb:2fff:ffff:ffff:ffff |
| 180 | 2c19:dd:c25b:bfcb:3000::/68 | 2c19:dd:c25b:bfcb:3fff:ffff:ffff:ffff |
| 181 | 2c19:dd:c25b:bfcb:4000::/68 | 2c19:dd:c25b:bfcb:4fff:ffff:ffff:ffff |
| 182 | 2c19:dd:c25b:bfcb:5000::/68 | 2c19:dd:c25b:bfcb:5fff:ffff:ffff:ffff |
| 183 | 2c19:dd:c25b:bfcb:6000::/68 | 2c19:dd:c25b:bfcb:6fff:ffff:ffff:ffff |
| 184 | 2c19:dd:c25b:bfcb:7000::/68 | 2c19:dd:c25b:bfcb:7fff:ffff:ffff:ffff |
| 185 | 2c19:dd:c25b:bfcb:8000::/68 | 2c19:dd:c25b:bfcb:8fff:ffff:ffff:ffff |
| 186 | 2c19:dd:c25b:bfcb:9000::/68 | 2c19:dd:c25b:bfcb:9fff:ffff:ffff:ffff |
| 187 | 2c19:dd:c25b:bfcb:a000::/68 | 2c19:dd:c25b:bfcb:afff:ffff:ffff:ffff |
| 188 | 2c19:dd:c25b:bfcb:b000::/68 | 2c19:dd:c25b:bfcb:bfff:ffff:ffff:ffff |
| 189 | 2c19:dd:c25b:bfcb:c000::/68 | 2c19:dd:c25b:bfcb:cfff:ffff:ffff:ffff |
| 190 | 2c19:dd:c25b:bfcb:d000::/68 | 2c19:dd:c25b:bfcb:dfff:ffff:ffff:ffff |
| 191 | 2c19:dd:c25b:bfcb:e000::/68 | 2c19:dd:c25b:bfcb:efff:ffff:ffff:ffff |
| 192 | 2c19:dd:c25b:bfcb:f000::/68 | 2c19:dd:c25b:bfcb:ffff:ffff:ffff:ffff |
| 193 | 2c19:dd:c25b:bfcc::/68 | 2c19:dd:c25b:bfcc:fff:ffff:ffff:ffff |
| 194 | 2c19:dd:c25b:bfcc:1000::/68 | 2c19:dd:c25b:bfcc:1fff:ffff:ffff:ffff |
| 195 | 2c19:dd:c25b:bfcc:2000::/68 | 2c19:dd:c25b:bfcc:2fff:ffff:ffff:ffff |
| 196 | 2c19:dd:c25b:bfcc:3000::/68 | 2c19:dd:c25b:bfcc:3fff:ffff:ffff:ffff |
| 197 | 2c19:dd:c25b:bfcc:4000::/68 | 2c19:dd:c25b:bfcc:4fff:ffff:ffff:ffff |
| 198 | 2c19:dd:c25b:bfcc:5000::/68 | 2c19:dd:c25b:bfcc:5fff:ffff:ffff:ffff |
| 199 | 2c19:dd:c25b:bfcc:6000::/68 | 2c19:dd:c25b:bfcc:6fff:ffff:ffff:ffff |
| 200 | 2c19:dd:c25b:bfcc:7000::/68 | 2c19:dd:c25b:bfcc:7fff:ffff:ffff:ffff |
| 201 | 2c19:dd:c25b:bfcc:8000::/68 | 2c19:dd:c25b:bfcc:8fff:ffff:ffff:ffff |
| 202 | 2c19:dd:c25b:bfcc:9000::/68 | 2c19:dd:c25b:bfcc:9fff:ffff:ffff:ffff |
| 203 | 2c19:dd:c25b:bfcc:a000::/68 | 2c19:dd:c25b:bfcc:afff:ffff:ffff:ffff |
| 204 | 2c19:dd:c25b:bfcc:b000::/68 | 2c19:dd:c25b:bfcc:bfff:ffff:ffff:ffff |
| 205 | 2c19:dd:c25b:bfcc:c000::/68 | 2c19:dd:c25b:bfcc:cfff:ffff:ffff:ffff |
| 206 | 2c19:dd:c25b:bfcc:d000::/68 | 2c19:dd:c25b:bfcc:dfff:ffff:ffff:ffff |
| 207 | 2c19:dd:c25b:bfcc:e000::/68 | 2c19:dd:c25b:bfcc:efff:ffff:ffff:ffff |
| 208 | 2c19:dd:c25b:bfcc:f000::/68 | 2c19:dd:c25b:bfcc:ffff:ffff:ffff:ffff |
| 209 | 2c19:dd:c25b:bfcd::/68 | 2c19:dd:c25b:bfcd:fff:ffff:ffff:ffff |
| 210 | 2c19:dd:c25b:bfcd:1000::/68 | 2c19:dd:c25b:bfcd:1fff:ffff:ffff:ffff |
| 211 | 2c19:dd:c25b:bfcd:2000::/68 | 2c19:dd:c25b:bfcd:2fff:ffff:ffff:ffff |
| 212 | 2c19:dd:c25b:bfcd:3000::/68 | 2c19:dd:c25b:bfcd:3fff:ffff:ffff:ffff |
| 213 | 2c19:dd:c25b:bfcd:4000::/68 | 2c19:dd:c25b:bfcd:4fff:ffff:ffff:ffff |
| 214 | 2c19:dd:c25b:bfcd:5000::/68 | 2c19:dd:c25b:bfcd:5fff:ffff:ffff:ffff |
| 215 | 2c19:dd:c25b:bfcd:6000::/68 | 2c19:dd:c25b:bfcd:6fff:ffff:ffff:ffff |
| 216 | 2c19:dd:c25b:bfcd:7000::/68 | 2c19:dd:c25b:bfcd:7fff:ffff:ffff:ffff |
| 217 | 2c19:dd:c25b:bfcd:8000::/68 | 2c19:dd:c25b:bfcd:8fff:ffff:ffff:ffff |
| 218 | 2c19:dd:c25b:bfcd:9000::/68 | 2c19:dd:c25b:bfcd:9fff:ffff:ffff:ffff |
| 219 | 2c19:dd:c25b:bfcd:a000::/68 | 2c19:dd:c25b:bfcd:afff:ffff:ffff:ffff |
| 220 | 2c19:dd:c25b:bfcd:b000::/68 | 2c19:dd:c25b:bfcd:bfff:ffff:ffff:ffff |
| 221 | 2c19:dd:c25b:bfcd:c000::/68 | 2c19:dd:c25b:bfcd:cfff:ffff:ffff:ffff |
| 222 | 2c19:dd:c25b:bfcd:d000::/68 | 2c19:dd:c25b:bfcd:dfff:ffff:ffff:ffff |
| 223 | 2c19:dd:c25b:bfcd:e000::/68 | 2c19:dd:c25b:bfcd:efff:ffff:ffff:ffff |
| 224 | 2c19:dd:c25b:bfcd:f000::/68 | 2c19:dd:c25b:bfcd:ffff:ffff:ffff:ffff |
| 225 | 2c19:dd:c25b:bfce::/68 | 2c19:dd:c25b:bfce:fff:ffff:ffff:ffff |
| 226 | 2c19:dd:c25b:bfce:1000::/68 | 2c19:dd:c25b:bfce:1fff:ffff:ffff:ffff |
| 227 | 2c19:dd:c25b:bfce:2000::/68 | 2c19:dd:c25b:bfce:2fff:ffff:ffff:ffff |
| 228 | 2c19:dd:c25b:bfce:3000::/68 | 2c19:dd:c25b:bfce:3fff:ffff:ffff:ffff |
| 229 | 2c19:dd:c25b:bfce:4000::/68 | 2c19:dd:c25b:bfce:4fff:ffff:ffff:ffff |
| 230 | 2c19:dd:c25b:bfce:5000::/68 | 2c19:dd:c25b:bfce:5fff:ffff:ffff:ffff |
| 231 | 2c19:dd:c25b:bfce:6000::/68 | 2c19:dd:c25b:bfce:6fff:ffff:ffff:ffff |
| 232 | 2c19:dd:c25b:bfce:7000::/68 | 2c19:dd:c25b:bfce:7fff:ffff:ffff:ffff |
| 233 | 2c19:dd:c25b:bfce:8000::/68 | 2c19:dd:c25b:bfce:8fff:ffff:ffff:ffff |
| 234 | 2c19:dd:c25b:bfce:9000::/68 | 2c19:dd:c25b:bfce:9fff:ffff:ffff:ffff |
| 235 | 2c19:dd:c25b:bfce:a000::/68 | 2c19:dd:c25b:bfce:afff:ffff:ffff:ffff |
| 236 | 2c19:dd:c25b:bfce:b000::/68 | 2c19:dd:c25b:bfce:bfff:ffff:ffff:ffff |
| 237 | 2c19:dd:c25b:bfce:c000::/68 | 2c19:dd:c25b:bfce:cfff:ffff:ffff:ffff |
| 238 | 2c19:dd:c25b:bfce:d000::/68 | 2c19:dd:c25b:bfce:dfff:ffff:ffff:ffff |
| 239 | 2c19:dd:c25b:bfce:e000::/68 | 2c19:dd:c25b:bfce:efff:ffff:ffff:ffff |
| 240 | 2c19:dd:c25b:bfce:f000::/68 | 2c19:dd:c25b:bfce:ffff:ffff:ffff:ffff |
| 241 | 2c19:dd:c25b:bfcf::/68 | 2c19:dd:c25b:bfcf:fff:ffff:ffff:ffff |
| 242 | 2c19:dd:c25b:bfcf:1000::/68 | 2c19:dd:c25b:bfcf:1fff:ffff:ffff:ffff |
| 243 | 2c19:dd:c25b:bfcf:2000::/68 | 2c19:dd:c25b:bfcf:2fff:ffff:ffff:ffff |
| 244 | 2c19:dd:c25b:bfcf:3000::/68 | 2c19:dd:c25b:bfcf:3fff:ffff:ffff:ffff |
| 245 | 2c19:dd:c25b:bfcf:4000::/68 | 2c19:dd:c25b:bfcf:4fff:ffff:ffff:ffff |
| 246 | 2c19:dd:c25b:bfcf:5000::/68 | 2c19:dd:c25b:bfcf:5fff:ffff:ffff:ffff |
| 247 | 2c19:dd:c25b:bfcf:6000::/68 | 2c19:dd:c25b:bfcf:6fff:ffff:ffff:ffff |
| 248 | 2c19:dd:c25b:bfcf:7000::/68 | 2c19:dd:c25b:bfcf:7fff:ffff:ffff:ffff |
| 249 | 2c19:dd:c25b:bfcf:8000::/68 | 2c19:dd:c25b:bfcf:8fff:ffff:ffff:ffff |
| 250 | 2c19:dd:c25b:bfcf:9000::/68 | 2c19:dd:c25b:bfcf:9fff:ffff:ffff:ffff |
| 251 | 2c19:dd:c25b:bfcf:a000::/68 | 2c19:dd:c25b:bfcf:afff:ffff:ffff:ffff |
| 252 | 2c19:dd:c25b:bfcf:b000::/68 | 2c19:dd:c25b:bfcf:bfff:ffff:ffff:ffff |
| 253 | 2c19:dd:c25b:bfcf:c000::/68 | 2c19:dd:c25b:bfcf:cfff:ffff:ffff:ffff |
| 254 | 2c19:dd:c25b:bfcf:d000::/68 | 2c19:dd:c25b:bfcf:dfff:ffff:ffff:ffff |
| 255 | 2c19:dd:c25b:bfcf:e000::/68 | 2c19:dd:c25b:bfcf:efff:ffff:ffff:ffff |
| 256 | 2c19:dd:c25b:bfcf:f000::/68 | 2c19:dd:c25b:bfcf:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |